#!/usr/bin/env node --experimental-strip-types
import fs from 'node:fs';

const up = JSON.parse(
  fs.readFileSync('package.json', 'utf8'),
) as typeof import('../package.json');

const down = JSON.parse(
  fs.readFileSync('dist/package.json', 'utf8'),
) as typeof import('../dist/package.json');

down.dependencies = up.dependencies;

fs.writeFileSync('dist/package.json', JSON.stringify(down, null, 2));
